package com.steering.pss.sale.order.model;

/**
 * 水压试验标准表实体类
 * 
 * @author Administrator
 * 
 */
public class MscStdWaterEntity {
	/**
	 * 接箍码(冶金规范码下面接箍码维护交货标准时用)
	 */
	private String codeJg;
	/**
	 * 产品大类(4049)
	 */
	private String producHead;
	/**
	 * 冶金规范码
	 */
	private String msc;
	/**
	 * 水压索引码
	 */
	private String wic;
	/**
	 * 产品规范码
	 */
	private String psc;
	/**
	 * 标准类型(G:国标/国际/协议,K:客户,N:内控)
	 */
	private String stdstyle;
	/**
	 * 工序代码(A\B\C\D.....)
	 */
	private String processCdoe;
	/**
	 * 工序名称
	 */
	private String processDesc;
	/**
	 * 内控标准代码(内控用)
	 */
	private String stdCodeNk;
	/**
	 * 内控标准名称(内控用)
	 */
	private String stdNameNk;
	/**
	 * 最小外径
	 */
	private String minD;
	/**
	 * 最大外径
	 */
	private String maxD;
	/**
	 * 最小壁厚
	 */
	private String minH;
	/**
	 * 最大壁厚
	 */
	private String maxH;
	/**
	 * 接箍规格代码(接箍专用，与外径壁厚只允许存在其一)
	 */
	private String specJg;
	/**
	 * 接箍规格描述
	 */
	private String specJgDesc;
	/**
	 * 扣型代码(集合)
	 */
	private String modelCode;
	/**
	 * 扣型描述(集合)
	 */
	private String modelDesc;
	/**
	 * 创建人
	 */
	private String createName;
	/**
	 * 创建时间
	 */
	private String createTime;
	/**
	 * 修改人
	 */
	private String updateName;
	/**
	 * 修改时间
	 */
	private String updateTime;
	/**
	 * 删除人
	 */
	private String deleteName;
	/**
	 * 删除时间
	 */
	private String deleteTime;
	/**
	 * 有效标志(3:已审核，2:提交审核，1:录入状态，0:无效)
	 */
	private String validflag;
	/**
	 * 备注
	 */
	private String memo;

	public MscStdWaterEntity() {
		codeJg = "";
		producHead = "";
		msc = "";
		wic = "";
		psc = "";
		stdstyle = "";
		processCdoe = "";
		processDesc = "";
		stdCodeNk = "";
		stdNameNk = "";
		minD = "";
		maxD = "";
		minH = "";
		maxH = "";
		specJg = "";
		specJgDesc = "";
		modelCode = "";
		modelDesc = "";
		createName = "";
		createTime = "";
		updateName = "";
		updateTime = "";
		deleteName = "";
		deleteTime = "";
		validflag = "";
		memo = "";
	}

	/**
	 * 接箍码(冶金规范码下面接箍码维护交货标准时用)
	 * 
	 * @return value
	 */
	public String getCodeJg() {
		return codeJg;
	}

	/**
	 * 接箍码(冶金规范码下面接箍码维护交货标准时用)
	 * 
	 * @param codeJg
	 *            value
	 */
	public void setCodeJg(String codeJg) {
		this.codeJg = codeJg;
	}

	/**
	 * 产品大类(4049)
	 * 
	 * @return value
	 */
	public String getProducHead() {
		return producHead;
	}

	/**
	 * 产品大类(4049)
	 * 
	 * @param producHead
	 *            value
	 */
	public void setProducHead(String producHead) {
		this.producHead = producHead;
	}

	/**
	 * 冶金规范码
	 * 
	 * @return value
	 */
	public String getMsc() {
		return msc;
	}

	/**
	 * 冶金规范码
	 * 
	 * @param msc
	 *            value
	 */
	public void setMsc(String msc) {
		this.msc = msc;
	}

	/**
	 * 水压索引码
	 * 
	 * @return value
	 */
	public String getWic() {
		return wic;
	}

	/**
	 * 水压索引码
	 * 
	 * @param wic
	 *            value
	 */
	public void setWic(String wic) {
		this.wic = wic;
	}

	/**
	 * 产品规范码
	 * 
	 * @return value
	 */
	public String getPsc() {
		return psc;
	}

	/**
	 * 产品规范码
	 * 
	 * @param psc
	 *            value
	 */
	public void setPsc(String psc) {
		this.psc = psc;
	}

	/**
	 * 标准类型(G:国标/国际/协议,K:客户,N:内控)
	 * 
	 * @return value
	 */
	public String getStdstyle() {
		return stdstyle;
	}

	/**
	 * 标准类型(G:国标/国际/协议,K:客户,N:内控)
	 * 
	 * @param stdstyle
	 *            value
	 */
	public void setStdstyle(String stdstyle) {
		this.stdstyle = stdstyle;
	}

	/**
	 * 工序代码(A\B\C\D.....)
	 * 
	 * @return value
	 */
	public String getProcessCdoe() {
		return processCdoe;
	}

	/**
	 * 工序代码(A\B\C\D.....)
	 * 
	 * @param processCdoe
	 *            value
	 */
	public void setProcessCdoe(String processCdoe) {
		this.processCdoe = processCdoe;
	}

	/**
	 * 工序名称
	 * 
	 * @return value
	 */
	public String getProcessDesc() {
		return processDesc;
	}

	/**
	 * 工序名称
	 * 
	 * @param processDesc
	 *            value
	 */
	public void setProcessDesc(String processDesc) {
		this.processDesc = processDesc;
	}

	/**
	 * 内控标准代码(内控用)
	 * 
	 * @return value
	 */
	public String getStdCodeNk() {
		return stdCodeNk;
	}

	/**
	 * 内控标准代码(内控用)
	 * 
	 * @param stdCodeNk
	 *            value
	 */
	public void setStdCodeNk(String stdCodeNk) {
		this.stdCodeNk = stdCodeNk;
	}

	/**
	 * 内控标准名称(内控用)
	 * 
	 * @return value
	 */
	public String getStdNameNk() {
		return stdNameNk;
	}

	/**
	 * 内控标准名称(内控用)
	 * 
	 * @param stdNameNk
	 *            value
	 */
	public void setStdNameNk(String stdNameNk) {
		this.stdNameNk = stdNameNk;
	}

	/**
	 * 最小外径
	 * 
	 * @return value
	 */
	public String getMinD() {
		return minD;
	}

	/**
	 * 最小外径
	 * 
	 * @param minD
	 *            value
	 */
	public void setMinD(String minD) {
		this.minD = minD;
	}

	/**
	 * 最大外径
	 * 
	 * @return value
	 */
	public String getMaxD() {
		return maxD;
	}

	/**
	 * 最大外径
	 * 
	 * @param maxD
	 *            value
	 */
	public void setMaxD(String maxD) {
		this.maxD = maxD;
	}

	/**
	 * 最小壁厚
	 * 
	 * @return value
	 */
	public String getMinH() {
		return minH;
	}

	/**
	 * 最小壁厚
	 * 
	 * @param minH
	 *            value
	 */
	public void setMinH(String minH) {
		this.minH = minH;
	}

	/**
	 * 最大壁厚
	 * 
	 * @return value
	 */
	public String getMaxH() {
		return maxH;
	}

	/**
	 * 最大壁厚
	 * 
	 * @param maxH
	 *            value
	 */
	public void setMaxH(String maxH) {
		this.maxH = maxH;
	}

	/**
	 * 接箍规格代码(接箍专用，与外径壁厚只允许存在其一)
	 * 
	 * @return value
	 */
	public String getSpecJg() {
		return specJg;
	}

	/**
	 * 接箍规格代码(接箍专用，与外径壁厚只允许存在其一)
	 * 
	 * @param specJg
	 *            value
	 */
	public void setSpecJg(String specJg) {
		this.specJg = specJg;
	}

	/**
	 * 接箍规格描述
	 * 
	 * @return value
	 */
	public String getSpecJgDesc() {
		return specJgDesc;
	}

	/**
	 * 接箍规格描述
	 * 
	 * @param specJgDesc
	 *            value
	 */
	public void setSpecJgDesc(String specJgDesc) {
		this.specJgDesc = specJgDesc;
	}

	/**
	 * 扣型代码(集合)
	 * 
	 * @return value
	 */
	public String getModelCode() {
		return modelCode;
	}

	/**
	 * 扣型代码(集合)
	 * 
	 * @param modelCode
	 *            value
	 */
	public void setModelCode(String modelCode) {
		this.modelCode = modelCode;
	}

	/**
	 * 扣型描述(集合)
	 * 
	 * @return value
	 */
	public String getModelDesc() {
		return modelDesc;
	}

	/**
	 * 扣型描述(集合)
	 * 
	 * @param modelDesc
	 *            value
	 */
	public void setModelDesc(String modelDesc) {
		this.modelDesc = modelDesc;
	}

	/**
	 * 创建人
	 * 
	 * @return value
	 */
	public String getCreateName() {
		return createName;
	}

	/**
	 * 创建人
	 * 
	 * @param createName
	 *            value
	 */
	public void setCreateName(String createName) {
		this.createName = createName;
	}

	/**
	 * 创建时间
	 * 
	 * @return value
	 */
	public String getCreateTime() {
		return createTime;
	}

	/**
	 * 创建时间
	 * 
	 * @param createTime
	 *            value
	 */
	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	/**
	 * 修改人
	 * 
	 * @return value
	 */
	public String getUpdateName() {
		return updateName;
	}

	/**
	 * 修改人
	 * 
	 * @param updateName
	 *            value
	 */
	public void setUpdateName(String updateName) {
		this.updateName = updateName;
	}

	/**
	 * 修改时间
	 * 
	 * @return value
	 */
	public String getUpdateTime() {
		return updateTime;
	}

	/**
	 * 修改时间
	 * 
	 * @param updateTime
	 *            value
	 */
	public void setUpdateTime(String updateTime) {
		this.updateTime = updateTime;
	}

	/**
	 * 删除人
	 * 
	 * @return value
	 */
	public String getDeleteName() {
		return deleteName;
	}

	/**
	 * 删除人
	 * 
	 * @param deleteName
	 *            value
	 */
	public void setDeleteName(String deleteName) {
		this.deleteName = deleteName;
	}

	/**
	 * 删除时间
	 * 
	 * @return value
	 */
	public String getDeleteTime() {
		return deleteTime;
	}

	/**
	 * 删除时间
	 * 
	 * @param deleteTime
	 *            value
	 */
	public void setDeleteTime(String deleteTime) {
		this.deleteTime = deleteTime;
	}

	/**
	 * 有效标志(3:已审核，2:提交审核，1:录入状态，0:无效)
	 * 
	 * @return value
	 */
	public String getValidflag() {
		return validflag;
	}

	/**
	 * 有效标志(3:已审核，2:提交审核，1:录入状态，0:无效)
	 * 
	 * @param validflag
	 *            value
	 */
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/**
	 * 备注
	 * 
	 * @return value
	 */
	public String getMemo() {
		return memo;
	}

	/**
	 * 备注
	 * 
	 * @param memo
	 *            value
	 */
	public void setMemo(String memo) {
		this.memo = memo;
	}
}
